﻿using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DataSource = getTable();

            ultraGrid1.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;

            this.ultraGrid1.DisplayLayout.Override.RowSelectorHeaderStyle = RowSelectorHeaderStyle.ColumnChooserButton;
            this.ultraGrid1.DisplayLayout.Override.RowSelectors = DefaultableBoolean.True;

            //ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add("col2", false, true);
            //ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add("col3", false, true);
        }

        private DataTable getTable()
        {
            DataTable table = new DataTable();

            table.Columns.Add("col1", typeof(Int32));
            table.Columns.Add("col2", typeof(string));
            table.Columns.Add("col3", typeof(string));
            table.Columns.Add("col4", typeof(string));
            table.Columns.Add("col5", typeof(string));

            for (int i = 0; i < 20; i++)
            {
                table.Rows.Add(new object[] { i,
                    "test" + i % 2,
                    "test" + i % 3,
                    "test" + i % 4,
                    "test" + i % 5
                });
            }

            return table;
        }
    }
}
